DrScheme: PLT Programming Environment

1`` | Interface Essentials
2`` | Languages
3`` | Interface Reference
4`` | Extending Dr Scheme
| Index

Version: 4.0.2
contents index
← prev up next →

#### 2.1`` Modules

The Module language is really a kind of meta-language, where the program itself specifies its language, usually through a #lang line.

More generally, when using Module, the definitions window must contain a module in some form. Besides #lang, a Scheme module can be written as (module ...). In any case, aside from comments, the definitions window must contain exactly one module.

contents index
← prev up next →